## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-email-validator
Version:        1.0.5
Release:        %autorelease
Summary:        A robust email syntax and deliverability validation library

# The CC0-1.0 license is *not allowed* in Fedora for code, but this package
# falls under the following blanket exception:
#
#   Existing uses of CC0-1.0 on code files in Fedora packages prior to
#   2022-08-01, and subsequent upstream versions of those files in those
#   packages, continue to be allowed. We encourage Fedora package maintainers
#   to ask upstreams to relicense such files.
#
# https://gitlab.com/fedora/legal/fedora-license-data/-/issues/91#note_1151947383
License:        CC0-1.0
URL:            https://github.com/JoshData/python-email-validator
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%global _description %{expand:
This library validates that address are of the form x@y.com. This is the sort
of validation you would want for a login form on a website.

Key features:

- Good for validating email addresses used for logins/identity.
- Friendly error messages when validation fails (appropriate to show to end
  users).
- (optionally) Checks deliverability: Does the domain name resolve?
- Supports internationalized domain names and (optionally) internationalized
  local parts.
- Normalizes email addresses (important for internationalized addresses!).}

%description %{_description}

%package -n     python3-email-validator
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-email-validator}

%description -n python3-email-validator %{_description}

%prep
%autosetup -n python-email-validator-%{version}
rm -rf email-validator.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-email-validator
%license LICENSE
%doc README.rst
%{_bindir}/email_validator
%{python3_sitelib}/email_validator/
%{python3_sitelib}/email_validator-%{version}-py%{python3_version}.egg-info/

%changelog
* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.5-12
- Convert License to SPDX

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.5-11
- Better files listing

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.5-10
- Do not number the sole Source

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.5-9
- Reduce repetition in the spec file

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.5-8
- Reduce macro indirection in the spec file

* Tue Jan 07 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.5-2
- Implement changes from rhbz#1787419 to match rhbz#1733683

* Mon Jan 06 2020 Susi Lehtola <jussilehtola@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5.
- Review fixes.

* Sat Jul 27 2019 Susi Lehtola <jussilehtola@fedoraproject.org> - 1.0.4-1
- Initial package.

